org.eclnt.workplace

## Class WorkplaceTileManager

- java.lang.Object
- - org.eclnt.workplace.WorkplaceTileManager

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceTileManager
      extends java.lang.Object
      implements java.io.Serializable

  Manages the "tiles" of a workplace. The workplace manager manages a hierarchy of areas ("tiles"), each one containing a workpage container.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkplaceTileManager.WorkplaceTile`
    `class` | `WorkplaceTileManager.WorkplaceTileSplit`
    `class` | `WorkplaceTileManager.WorkplaceTileWorkpageContainer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIRECTION_BOTTOM`
    `static int` | `DIRECTION_LEFT`
    `static int` | `DIRECTION_RIGHT`
    `static int` | `DIRECTION_TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceTileManager(WorkpageContainer workpageContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `construct()`
    `void` | `destroyTile(java.lang.String tileId)` Destroy one tile - the neighbour tile is re-organized accordingly.
    `void` | `ensureTileForWorkpageContainerIsAvailable(java.lang.String workpageContainerId)`
    `WorkplaceTileInfo` | `exportWorkplaceTileInfo()` Exports current workplace configuration into `exportWorkplaceTileInfo()` object.
    `java.lang.String` | `getAnimationType()`
    `ROWDYNAMICCONTENTBinding` | `getContent()`
    `int` | `getDividerSize()`
    `java.lang.String` | `getSelectorPosition()`
    `WorkplaceTileManager.WorkplaceTile` | `getTopTile()`
    `java.util.List<WorkplaceTileManager.WorkplaceTileSplit>` | `getWorkplaceTileSplits()`
    `java.lang.String` | `getWpCloseImage()`
    `java.lang.String` | `getWpPopupImage()`
    `java.lang.String` | `getWpPopupMenu()`
    `void` | `importWorkplaceTileInfo(java.lang.String perspective)` Importa a workplace perspective - the perspective is resolved by its name.
    `void` | `importWorkplaceTileInfo(WorkplaceTileInfo tileInfo)` Imports an existing workplace perspective into the current workplace.
    `void` | `setAnimationType(java.lang.String animationType)`
    `void` | `setDividerSize(int dividerSize)`
    `void` | `setDividerSize(java.lang.String value)`
    `void` | `setSelectorPosition(java.lang.String selectorPosition)`
    `void` | `setWpCloseImage(java.lang.String wpCloseImage)`
    `void` | `setWpPopupImage(java.lang.String wpPopupImage)`
    `void` | `setWpPopupMenu(java.lang.String wpPopupMenu)`
    `java.lang.String` | `splitTile(java.lang.String tileId, int direction)` Splits a tile with a given id.
    `java.lang.String` | `splitTile(java.lang.String tileId, java.lang.String newTileId, int direction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIRECTION_TOP

          public static int DIRECTION_TOP

    - #### DIRECTION_BOTTOM

          public static int DIRECTION_BOTTOM

    - #### DIRECTION_LEFT

          public static int DIRECTION_LEFT

    - #### DIRECTION_RIGHT

          public static int DIRECTION_RIGHT

  - ### Constructor Detail

    - #### WorkplaceTileManager

          public WorkplaceTileManager(WorkpageContainer workpageContainer)

  - ### Method Detail

    - #### construct

          protected void construct()

    - #### getWorkplaceTileSplits

          public java.util.List<WorkplaceTileManager.WorkplaceTileSplit> getWorkplaceTileSplits()

    - #### getTopTile

          public WorkplaceTileManager.WorkplaceTile getTopTile()

    - #### getContent

          public ROWDYNAMICCONTENTBinding getContent()

    - #### getSelectorPosition

          public java.lang.String getSelectorPosition()

    - #### setSelectorPosition

          public void setSelectorPosition(java.lang.String selectorPosition)

    - #### getAnimationType

          public java.lang.String getAnimationType()

    - #### setAnimationType

          public void setAnimationType(java.lang.String animationType)

    - #### getDividerSize

          public int getDividerSize()

    - #### setDividerSize

          public void setDividerSize(java.lang.String value)

    - #### setDividerSize

          public void setDividerSize(int dividerSize)

    - #### getWpCloseImage

          public java.lang.String getWpCloseImage()

    - #### setWpCloseImage

          public void setWpCloseImage(java.lang.String wpCloseImage)

    - #### getWpPopupImage

          public java.lang.String getWpPopupImage()

    - #### setWpPopupImage

          public void setWpPopupImage(java.lang.String wpPopupImage)

    - #### getWpPopupMenu

          public java.lang.String getWpPopupMenu()

    - #### setWpPopupMenu

          public void setWpPopupMenu(java.lang.String wpPopupMenu)

    - #### splitTile

          public java.lang.String splitTile(java.lang.String tileId,
                                            int direction)

      Splits a tile with a given id.

    - #### splitTile

          public java.lang.String splitTile(java.lang.String tileId,
                                            java.lang.String newTileId,
                                            int direction)

      Parameters:
        `tileId` - The id of the workplace container that is to be split.

    - #### destroyTile

          public void destroyTile(java.lang.String tileId)

      Destroy one tile - the neighbour tile is re-organized accordingly. Pay attention: destroying the tile does NOT check if there are workpages within the tile - this needs to be checked in parallel!

    - #### importWorkplaceTileInfo

          public void importWorkplaceTileInfo(java.lang.String perspective)

      Importa a workplace perspective - the perspective is resolved by its name.

    - #### importWorkplaceTileInfo

          public void importWorkplaceTileInfo(WorkplaceTileInfo tileInfo)

      Imports an existing workplace perspective into the current workplace. Use this method to directly load a certain tile arrangement into an existing workplace.

    - #### exportWorkplaceTileInfo

          public WorkplaceTileInfo exportWorkplaceTileInfo()

      Exports current workplace configuration into `exportWorkplaceTileInfo()` object. This is typically serialized in order to persist a workplace perspective.

    - #### ensureTileForWorkpageContainerIsAvailable

          public void ensureTileForWorkpageContainerIsAvailable(java.lang.String workpageContainerId)

Copyright © CaptainCasa Gmbh. All Rights Reserved.